System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeFormatter

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class establishes a common format for all service-side readers of HTTP request streams into Web method parameters.

You will typically not need to use or its descendant classes directly. The appropriate types are used according to settings in an ASP.NET configuration file (Web.config).

Provides a common base implementation for readers of request parameters for Web services implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object[] `` To be added

  When overridden in a derived class, deserializes an HTTP request into an array of Web method parameter values.

  An array of objects that contains the deserialized HTTP request.

  An object containing the input message for an operation. 1.0.5000.0 2.0.0.0